Subject: Technical issues for discussion at SASL BOF

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Tue, 31 Jul 2001 16:42:45 -0700

After dispensing with the SASL BOF agenda,
  http://www.ietf.org/ietf/01aug/sasl.txt

we intend to use remaining time to discuss the following
outstanding technical issues.  Hopefully we can get to at
least one of the issues listed below.  If not, we'll have
to take it to the bar and/or list.  Where authors are
unavailable, the chairs will select someone else to lead
discussions.

1) SASL (authzid and other interop issues) - Authors - 15m
	rfc2222
	draft-myers-saslrev-01.txt

2) DIGEST-MD5 (interop issues) - Authors - 15m
	rfc2831

3) Other issues - Chairs - 15m

See you in London...
	Kurt

Date: Tue, 31 Jul 2001 16:42:45 -0700
To: [email-masked]
From: "Kurt D. Zeilenga" <[email-masked]>
Subject: Technical issues for discussion at SASL BOF
Sender: [email-masked]

After dispensing with the SASL BOF agenda,
  http://www.ietf.org/ietf/01aug/sasl.txt

we intend to use remaining time to discuss the following
outstanding technical issues.  Hopefully we can get to at
least one of the issues listed below.  If not, we'll have
to take it to the bar and/or list.  Where authors are
unavailable, the chairs will select someone else to lead
discussions.

1) SASL (authzid and other interop issues) - Authors - 15m
	rfc2222
	draft-myers-saslrev-01.txt

2) DIGEST-MD5 (interop issues) - Authors - 15m
	rfc2831

3) Other issues - Chairs - 15m

See you in London...
	Kurt

Date: Sun, 22 Jul 2001 13:54:23 -0600
From: Alexey Melnikov <[email-masked]>
Organization: ACI WorldWide / MessagingDirect
To: SASL WG <[email-masked]>
Subject: List of unresolved issues for SASL BOF meeting
Sender: [email-masked]

I've compiled the list of issues that were discussed on the list. Any
comments and additions are welcome. I suggest we close as many issues as
we can before meeting.

Also I am curious whether we have new drafts for CRAM-MD5 and
DIGEST-MD5.

Base SASL spec:

1). Discussions about authorization id (allowed characters and encoding)
2). Add some text about how to write reauthentication step (add SM2 to
base spec?)

GSSAPI:

1). Move base-32 out of the document?
2). Why generation of GSSAPI mechanism name is so complex?

CRAM-MD5:

1). UTF-8 as character set
2). Spaces in username

DIGEST-MD5:

1). Issues with reauthentication step: Anybody implemented
reauthentication for DIGEST-MD5?
2). Issues with privacy encoding? (Document doesn't specify which mode
to use with DES)
3). Add AES as cipher

SM2:

1). Add to the charter?
2). DIGEST-MD5 reauthentication: remove from DIGEST-MD5 and use
SM2-DIGEST-MD5?

Interoperability report and feature implementation table:
 Does anybody work on this?

Something to talk about if the time permits or arrange additional bar
BOF (This is out of scope for SASL WG!):
1). SASL APIs
2). SASL profiles for HTTP

Alexey Melnikov
__________________________________________
R & D, ACI Worldwide (formerly MessagingDirect Ltd.)
phone 780.424.4922 x357

I speak for myself only, not for my employer.
__________________________________________

Date: Thu, 19 Jul 2001 14:11:15 -0700 (PDT)
From: [email-masked]
Subject: Re: any good books on SASL?
To: "Marshall T. Rose" <[email-masked]>
Cc: [email-masked], Marshall Rose <[email-masked]>
Sender: [email-masked]

> hi. has anyone run across any good books on SASL recently? bob morgan has
> some nice slides, but i haven't been able to find anything in the way of
> detailed written introductions, explanations, et&c.

The section on SASL in Kevin Johnson's "Internet Email Protocols" is short but
IMO well written and reasonably complete.

				Ned

From: "Marshall T. Rose" <[email-masked]>
To: <[email-masked]>
Cc: "Marshall Rose" <[email-masked]>
Subject: any good books on SASL?
Date: Thu, 19 Jul 2001 12:55:20 -0700
Sender: [email-masked]

hi. has anyone run across any good books on SASL recently? bob morgan has
some nice slides, but i haven't been able to find anything in the way of
detailed written introductions, explanations, et&c.

thanks,

/mtr

Date: Wed, 18 Jul 2001 18:41:52 -0700
To: [email-masked]
From: "Kurt D. Zeilenga" <[email-masked]>
Subject: Fwd: 51st IETF - SASL BOF (sasl)
Sender: [email-masked]

Just in case you haven't seen this yet...

Note that after addressing formation issues, we'll likely
have time to discuss a 2-4 outstanding technical issues.
Authors needing face time to discuss outstanding technical
issues should drop Alexey and I a quick note with a brief
description of the issue(s) and the amount of time needed.

Kurt

>To: ietf-announce: ;
>From: [email-masked]
>Subject: 51st IETF - SASL BOF (sasl)
>Date: Wed, 18 Jul 2001 12:24:37 -0400
>
>SASL BOF (sasl)
>
>Tuesday, August 07 at 1300-1400
>================================
>
>CHAIRS: Kurt Zeilenga <[email-masked]>
>        Alexey Melnikov <[email-masked]>
>
>
>DESCRIPTION:
>
>This BOF will discuss the formation a working group to shepherd
>SASL to Draft Standard.  As a WG proposal has been submitted
>and is under IAB/IESG consideration, the status of this proposal
>will be presented and discussed.  The BOF will consider actions
>necessary to further the WG proposal.  The proposed WG is described
>as follows:
>
>  The Simple Authentication and Security Layer [RFC2222] provides
>  key security services to a number of application protocols
>  including BEEP, IMAP, LDAP, POP, and SMTP.  The purpose of
>  this working group is to shepherd SASL, including select SASL
>  mechanisms, though the Internet Standard process.
>
>  This group will deliver a revised SASL Technical Specification
>  suitable for consideration as a Draft Standard.  This work
>  will be based upon RFC 2222 and draft-myers-saslrev-00.txt.
>
>  This group will deliver revised Technical Specifications
>  suitable considerations as Draft Standards for the following
>  SASL mechanisms: CRAM-MD5, DIGEST-MD5, and EXTERNAL.  This work
>  will be based upon RFC 2195, 2222, and 2831.
>
>  This group will deliver a revised Technical Specification
>  suitable for publication as Proposed Standard for the GSSAPI
>  family of SASL mechanisms.  This work will be based upon
>  RFC 2222 and draft-ietf-cat-sasl-gssapi-02.txt.
>
>  This group will deliver a Technical Specification
>  suitable for publication as Proposed Standard describing
>  a family of SASL mechanisms using the Secure Remote
>  Password [RFC2945] protocol.  This work will be based
>  upon draft-burdis-cat-srp-sasl-04.txt.
>
>  The following areas are not within the scope of work of this WG:
>    - new features,
>    - SASL Mechanisms not specifically mentioned above, and
>    - SASL "profiles".
>
>  However, the SASL WG is an acceptable forum for review of
>  SASL-related submissions produced by others as long as such
>  review does not impede progress on the WG objectives listed
>  above.
>
>MAILING LIST:
>  General Discussions: <[email-masked]>
>  To Subscribe: <[email-masked]>
>  In Body: subscribe
>  Archive: http://www.imc.org/ietf-sasl/mail-archive/